rvmeta.readDataByRange {seqminer} | R Documentation

## Read association statistics by range from METAL-format files. Both score statistics and covariance statistics will be extracted.

### Description

Read association statistics by range from METAL-format files. Both score statistics and covariance statistics will be extracted.

### Usage

    rvmeta.readDataByRange(scoreTestFiles, covFiles, ranges,
      multiAllelic = FALSE)

### Arguments

`scoreTestFiles` | character vector, score test output files (rvtests outputs using –meta score)
`covFiles` | character vector, covaraite files (rvtests outputs using –meta cov)
`ranges` | character, a text indicating which range in the VCF file to extract. e.g. 1:100-200
`multiAllelic` | boolean, whether to read multi-allelic sites as multiple variants or not

### Value

a list of statistics including chromosome, position, allele frequency, score statistics, covariance and annotation(if input files are annotated).

### See Also

http://zhanxw.com/seqminer/ for online manual and examples

### Examples

    scoreFileName = system.file("rvtests/rvtest.MetaScore.assoc.anno.gz", package = "seqminer")
    covFileName = system.file("rvtests/rvtest.MetaCov.assoc.gz", package = "seqminer")
    geneFile = system.file("vcf/refFlat_hg19_6col.txt.gz", package = "seqminer")
    cfh <- rvmeta.readDataByRange(scoreFileName, covFileName, "1:196621007-196716634")

[Package seqminer version 7.1 Index]